tests: don't fail with newer gnutls
authorMartin Kletzander <mkletzan@redhat.com>
Fri, 2 May 2014 07:55:52 +0000 (09:55 +0200)
committerMartin Kletzander <mkletzan@redhat.com>
Fri, 2 May 2014 07:56:33 +0000 (09:56 +0200)
commit4cbc15d037e1cd8abf5c4aa6acc30d83ae13e34d
tree58f3b25d24ef49d3653a2e3b4d21e586ec9e6dfa
parent1055852aef8c22fe1d1549d7d3739dc8a1c3f02b
tests: don't fail with newer gnutls

gnutls-3.3.0 and newer leaves 2 FDs open in order to be backwards
compatible when it comes to chrooted binaries [1].  Linking
commandhelper with gnutls then leaves these two FDs open and
commandtest fails thanks to that.  This patch does not link
commandhelper with libvirt.la, but rather only the utilities making
the test pass.

Based on suggestion from Daniel [2].

[1] http://lists.gnutls.org/pipermail/gnutls-help/2014-April/003429.html
[2] https://www.redhat.com/archives/libvir-list/2014-April/msg01119.html

Signed-off-by: Martin Kletzander <mkletzan@redhat.com>
tests/Makefile.am